Update a contact
curl --request PATCH \
--url https://app.lettr.com/api/audience/contacts/{contactId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"properties": {}
}
'import requests
url = "https://app.lettr.com/api/audience/contacts/{contactId}"
payload = {
"email": "jsmith@example.com",
"properties": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jsmith@example.com', properties: {}})
};
fetch('https://app.lettr.com/api/audience/contacts/{contactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Contact retrieved successfully.",
"data": {
"id": "0193e6b0-9c1d-7d4f-a8f1-cef9a1b2d3e4",
"email": "jane@example.com",
"status": "subscribed",
"properties": {
"first_name": "Jane",
"country": "US"
},
"created_at": "2024-01-15T10:30:00Z",
"lists": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"topics": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}
}Audience Contacts
Update a contact
Partially update a contact. If no fields are provided the contact is returned unchanged. Requires the audience:write scope and is blocked for sandbox API keys.
PATCH
/
audience
/
contacts
/
{contactId}
Update a contact
Partially update a contact. If no fields are provided the contact is returned unchanged. Requires the
audience:write scope and is blocked for sandbox API keys.Authorizations
API key for authentication
Path Parameters
Contact ID
Body
application/json
Request to update a contact. All fields are optional.
Was this page helpful?
⌘I